Bug 508817

Summary: Review Request: Limesurvey - An open source survey application
Product: [Fedora] Fedora Reporter: eric <eric>
Component: Package ReviewAssignee: David Nalley <david>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: david, fedora-package-review, felix, ian, kevin, mel, notting, ry, stickster
Target Milestone: ---Flags: ian: fedora‑review?
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-02-10 00:17:23 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 505356, 542028, 542500, 544821, 549590, 549604    
Bug Blocks:    
Attachments:
Description Flags
rpmlint output none

Description eric@christensenplace.us 2009-06-29 23:22:51 EDT
Spec URL: http://sparks.fedorapeople.org/Packages/limesurvey/limesurvey.spec
SRPM URL: http://sparks.fedorapeople.org/Packages/limesurvey/limesurvey-1.85-1.src.rpm
Description: Limesurvey is an open source, web-based survey application that is
easy to setup and use.
Comment 1 Ian Weller 2009-06-29 23:25:38 EDT
I'll review this tomorrow.
Comment 2 Ian Weller 2009-06-30 12:11:05 EDT
Source URL: Please read https://fedoraproject.org/wiki/Packaging/SourceURL#Sourceforge.net for dealing with Source0's URL properly. (Note you can't use %{name}-%{version}.whatever because the package is WHOAAAAAcompletely different.)

Macros: Those look like the Zikula-specific macros at the top and in reality they aren't really helping all that much. One is redundant, and it would be much cleaner in the specfile to just type out "limesurvey" and %{_datadir} so people don't get lost.

(On the same note, having files under /usr/share/limesurvey/limesurvey seems mildly redundant and probably shouldn't be done.)

Requires: Are you supposed to require a webserver? Check with somebody on that and paste the IRC log (or whatever) here.

rpmlint: is very loud. Output will be attached. The gist of it is "file-not-in-%lang" warnings; take a look at https://fedoraproject.org/wiki/Packaging:Guidelines#Handling_Locale_Files
Comment 3 Ian Weller 2009-06-30 12:11:49 EDT
Created attachment 349969 [details]
rpmlint output
Comment 4 eric@christensenplace.us 2009-06-30 13:53:31 EDT
Note to self...

1. Remove mysql-server from Requires
2. Add webserver to Requires
3. Package in F11 as the rpmlint in CentOS 5.3 isn't catching everything, apparently.
Comment 5 Ryan Rix 2009-12-08 15:57:42 EST
Hi Eric,

Could you please give this package a second look? If you don't have time for it atm, i'd be more than happy to take it over as Marketing wants to deploy limesurvey in infra and we need this review through first.

Thanks,
Ryan
Comment 6 eric@christensenplace.us 2009-12-08 19:08:32 EST
Spec URL: http://sparks.fedorapeople.org/Packages/limesurvey/limesurvey.spec

SRPM URL: http://sparks.fedorapeople.org/Packages/limesurvey/limesurvey-1.86-1.fc12.src.rpm

Description: Limesurvey is an open source, web-based survey application that is
easy to setup and use. 

rpmlint is still yelling about file-not-in-%lang and incorrect-locale-subdir but they appear to be false positives.  The language files are there and are in the correct locations.
Comment 7 David Nalley 2009-12-15 22:32:45 EST
Ian: If you're busy I'll take this review

Eric: 

after brief perusal limesurvey bundles the following libraries: 

adodb
datetimeconverter
pchart
php-gettext
php-mailer
domxml-php4-php5
progressbar
sha256 (deprecated - this is now included in php5, but is often seen left lying around in php4 compatible apps) 
php-pear-Spreadshet-Excel-Writer (as an aside, I just packaged this last week) 
php-pear-OLE (I just packaged this as well, as the above depends on it) 
php-pear
phpCAS
phpzip
tcpdf 

Those need to be unbundled. While a number of them can likely be eliminated (such as sha256) they might need some code massaging. I think the majority are already packaged, but you may have to package a few of them.
Comment 8 eric@christensenplace.us 2009-12-15 23:00:29 EST
*SIGH*

Thanks, David, for helping out.  It would appear that I'm WAY over my head.  I'll keep plugging away at this but I'm going to need some help.
Comment 9 Ian Weller 2009-12-16 01:40:06 EST
(In reply to comment #7)
> Ian: If you're busy I'll take this review
> 
Consider me busy.
Comment 10 eric@christensenplace.us 2009-12-21 22:41:18 EST
Ryan Rix and I worked on some of the libs tonight.  Did a search against all the libs in BZ to see if any of them were in progress.  Everything I found I made as a blocker to this ticket.

At this time progressbar, sha256, phpCAS, and phpzip still need to be worked.  Oh, datetimeconverter I couldn't find a license for.  The text basically says that anyone can do anything with the file as long as we keep the header intact but it doesn't specifically list a license.
Comment 11 Felix Kaechele 2009-12-22 04:41:29 EST
Please let me know if you need more help with this (packaging/reviewing). Thanks.
Comment 12 eric@christensenplace.us 2009-12-22 07:08:31 EST
(In reply to comment #11)
> Please let me know if you need more help with this (packaging/reviewing).
> Thanks.  

Thanks for the offer.  Any bug that blocks this ticket is probably in need of a review.  I know that bug 549590 and bug 549604 are in need of a review which will help out with this package.
Comment 13 Mel Chua 2010-01-13 10:15:42 EST
Eric made https://fedoraproject.org/wiki/Things_to_do_to_finish_Limesurvey, a useful reference for anyone interested in participating.
Comment 14 Kevin Fenzi 2010-08-31 00:06:37 EDT
I note that 1.90 is out now... 
might be worth updating and seeing whats left to be unbundled.
Comment 15 Ian Weller 2011-07-29 21:52:16 EDT
Ping?